openSUSE Security Update: Security update for sssd
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2941-1
Rating:             important
References:         #1183735 #1187120 #1189492 
Cross-References:   CVE-2021-3621
CVSS scores:
                    CVE-2021-3621 (SUSE): 6.7 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that solves one vulnerability and has two fixes
   is now available.

Description:

   This update for sssd fixes the following issues:

   - CVE-2021-3621: Fixed shell command injection in sssctl via the
     logs-fetch and cache-expire subcommands (bsc#1189492).
   - Add LDAPS support for the AD provider (bsc#1183735).
   - Improve logs to record the reason why internal watchdog terminates a
     process (bsc#1187120).
   - Fix watchdog not terminating tasks (bsc#1187120).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2941=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libipa_hbac-devel-1.16.1-23.11.1
      libipa_hbac0-1.16.1-23.11.1
      libipa_hbac0-debuginfo-1.16.1-23.11.1
      libnfsidmap-sss-1.16.1-23.11.1
      libnfsidmap-sss-debuginfo-1.16.1-23.11.1
      libsss_certmap-devel-1.16.1-23.11.1
      libsss_certmap0-1.16.1-23.11.1
      libsss_certmap0-debuginfo-1.16.1-23.11.1
      libsss_idmap-devel-1.16.1-23.11.1
      libsss_idmap0-1.16.1-23.11.1
      libsss_idmap0-debuginfo-1.16.1-23.11.1
      libsss_nss_idmap-devel-1.16.1-23.11.1
      libsss_nss_idmap0-1.16.1-23.11.1
      libsss_nss_idmap0-debuginfo-1.16.1-23.11.1
      libsss_simpleifp-devel-1.16.1-23.11.1
      libsss_simpleifp0-1.16.1-23.11.1
      libsss_simpleifp0-debuginfo-1.16.1-23.11.1
      python3-ipa_hbac-1.16.1-23.11.1
      python3-ipa_hbac-debuginfo-1.16.1-23.11.1
      python3-sss-murmur-1.16.1-23.11.1
      python3-sss-murmur-debuginfo-1.16.1-23.11.1
      python3-sss_nss_idmap-1.16.1-23.11.1
      python3-sss_nss_idmap-debuginfo-1.16.1-23.11.1
      python3-sssd-config-1.16.1-23.11.1
      python3-sssd-config-debuginfo-1.16.1-23.11.1
      sssd-1.16.1-23.11.1
      sssd-ad-1.16.1-23.11.1
      sssd-ad-debuginfo-1.16.1-23.11.1
      sssd-common-1.16.1-23.11.1
      sssd-common-debuginfo-1.16.1-23.11.1
      sssd-dbus-1.16.1-23.11.1
      sssd-dbus-debuginfo-1.16.1-23.11.1
      sssd-debugsource-1.16.1-23.11.1
      sssd-ipa-1.16.1-23.11.1
      sssd-ipa-debuginfo-1.16.1-23.11.1
      sssd-krb5-1.16.1-23.11.1
      sssd-krb5-common-1.16.1-23.11.1
      sssd-krb5-common-debuginfo-1.16.1-23.11.1
      sssd-krb5-debuginfo-1.16.1-23.11.1
      sssd-ldap-1.16.1-23.11.1
      sssd-ldap-debuginfo-1.16.1-23.11.1
      sssd-proxy-1.16.1-23.11.1
      sssd-proxy-debuginfo-1.16.1-23.11.1
      sssd-tools-1.16.1-23.11.1
      sssd-tools-debuginfo-1.16.1-23.11.1
      sssd-wbclient-1.16.1-23.11.1
      sssd-wbclient-debuginfo-1.16.1-23.11.1
      sssd-wbclient-devel-1.16.1-23.11.1
      sssd-winbind-idmap-1.16.1-23.11.1
      sssd-winbind-idmap-debuginfo-1.16.1-23.11.1


References:

   https://www.suse.com/security/cve/CVE-2021-3621.html
   https://bugzilla.suse.com/1183735
   https://bugzilla.suse.com/1187120
   https://bugzilla.suse.com/1189492